'use strict';

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*!
 * Tozny e3db
 *
 * LICENSE
 *
 * Tozny dual licenses this product. For commercial use, please contact
 * info@tozny.com. For non-commercial use, the contents of this file are
 * subject to the TOZNY NON-COMMERCIAL LICENSE (the "License") which
 * permits use of the software only by government agencies, schools,
 * universities, non-profit organizations or individuals on projects that
 * do not receive external funding other than government research grants
 * and contracts.  Any other use requires a commercial license. You may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at https://tozny.com/legal/non-commercial-license.
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License. Portions of the software are Copyright (c) TOZNY LLC, 2018-19.
 * All rights reserved.
 *
 * @copyright Copyright (c) 2018-19 Tozny, LLC (https://tozny.com)
 */

var Crypto = function () {
  (0, _createClass3.default)(Crypto, [{
    key: '__notImplemented',
    value: function __notImplemented(name) {
      throw new Error('The method ' + name + ' must be implemented in a subclass.');
    }
  }]);

  function Crypto() {
    (0, _classCallCheck3.default)(this, Crypto);

    if (this.constructor === Crypto) {
      throw new Error('The Crypto class must be extended with a specific (Type)Crypto class before use.');
    }
  }

  (0, _createClass3.default)(Crypto, [{
    key: 'decryptEak',
    value: function decryptEak() {
      this.__notImplemented('decryptEak');
    }
  }, {
    key: 'encryptAk',
    value: function encryptAk() {
      this.__notImplemented('encryptAk');
    }
  }, {
    key: 'decryptRecord',
    value: function decryptRecord() {
      this.__notImplemented('decryptRecord');
    }
  }, {
    key: 'encryptRecord',
    value: function encryptRecord() {
      this.__notImplemented('encryptRecord');
    }
  }, {
    key: 'verifyDocumentSignature',
    value: function verifyDocumentSignature() {
      this.__notImplemented('verifyDocumentSignature');
    }
  }, {
    key: 'signDocument',
    value: function signDocument() {
      this.__notImplemented('signDocument');
    }
  }, {
    key: 'b64encode',
    value: function b64encode() {
      this.__notImplemented('b64encode');
    }
  }, {
    key: 'b64decode',
    value: function b64decode() {
      this.__notImplemented('b64decode');
    }
  }, {
    key: 'randomKey',
    value: function randomKey() {
      this.__notImplemented('randomKey');
    }
  }, {
    key: 'deriveKey',
    value: function deriveKey() {
      this.__notImplemented('deriveKey');
    }
  }, {
    key: 'deriveSigningKey',
    value: function deriveSigningKey() {
      this.__notImplemented('deriveSigningKey');
    }
  }, {
    key: 'deriveCryptoKey',
    value: function deriveCryptoKey() {
      this.__notImplemented('deriveCryptoKey');
    }
  }, {
    key: 'deriveSymmetricKey',
    value: function deriveSymmetricKey() {
      this.__notImplemented('deriveSymmetricKey');
    }
  }, {
    key: 'generateKeypair',
    value: function generateKeypair() {
      this.__notImplemented('generateKeypair');
    }
  }, {
    key: 'generateSigningKeypair',
    value: function generateSigningKeypair() {
      this.__notImplemented('generateSigningKeypair');
    }
  }]);
  return Crypto;
}();

module.exports = Crypto;