/*!
 * Tozny e3db
 *
 * LICENSE
 *
 * Tozny dual licenses this product. For commercial use, please contact
 * info@tozny.com. For non-commercial use, this license permits use of the
 * software only by government agencies, schools, universities, non-profit
 * organizations or individuals on projects that do not receive external
 * funding other than government research grants and contracts. Any other use
 * requires a commercial license. For the full license, please see LICENSE.md,
 * in this source repository.
 *
 * @copyright Copyright (c) 2018-19 Tozny, LLC (https://tozny.com)
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _signable = require('../types/signable');

var _signable2 = _interopRequireDefault(_signable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Representation of either plaintext or encrypted data encapsulated in a record.
 */
var RecordData = function (_Signable) {
  (0, _inherits3.default)(RecordData, _Signable);

  function RecordData(data) {
    (0, _classCallCheck3.default)(this, RecordData);

    var _this = (0, _possibleConstructorReturn3.default)(this, (RecordData.__proto__ || (0, _getPrototypeOf2.default)(RecordData)).call(this));

    for (var key in data) {
      if (data.hasOwnProperty(key)) {
        _this[key] = data[key];
      }
    }
    return _this;
  }

  return RecordData;
}(_signable2.default);

exports.default = RecordData;